<div class="contenedor">
  <mat-card>
    <h1>Indicador individual gerencia desarrollo</h1>
    <mat-form-field>
      <input matInput [matDatepicker]="dp" placeholder="Mes y año *" [formControl]="date">
      <mat-datepicker-toggle matSuffix [for]="dp"></mat-datepicker-toggle>
      <mat-datepicker #dp startView="multi-year" (yearSelected)="chosenYearHandler($event)"
        (monthSelected)="chosenMonthHandler($event, dp)" panelClass="example-month-picker">
      </mat-datepicker>
    </mat-form-field>

    <mat-form-field class="example-full-width" *ngIf="mostrarOpcIngeniero">
      <input id="cabecera" type="text" placeholder="Buscar ingeniero... " aria-label="Number" matInput
        [formControl]="myControl" [matAutocomplete]="auto" (keyup)="showSearchResults($event)">
      <mat-autocomplete id="cabecera" autoActiveFirstOption #auto="matAutocomplete">
        <mat-option (click)="guardarIngeniero(ingeniero)" *ngFor="let ingeniero of filteredOptions | async"
          [value]="ingeniero">
          {{ingeniero}}
        </mat-option>
      </mat-autocomplete>
    </mat-form-field>
    <button type="submit" mat-raised-button color="primary" (click)="consulta_indicadores()" *ngIf = "!btnConsulta">Consultar</button>
    <button type="submit" mat-raised-button color="primary" (click)="limpiarBusqueda()" *ngIf = "btnConsulta">Limpiar</button>
    <div *ngIf=mostrarTabla>
      <p>Los siguientes resultados corresponden al calculo de indicadores del
        <b>{{obj.anio_referencia}}/{{obj.mes_referencia}}.</b><br>
        Última actualización: <b>{{obj.fecha_calculo |date:'yyyy/MM/dd H:mm a':'UTC'}}</b>
      </p>
      <div class="example-container" *ngIf="mostrarTabla">
        <table id="tabla_total_fabrica" mat-table [dataSource]="indicadores" class="tableMaterial">
          <ng-container matColumnDef="Nombre">
            <th mat-header-cell *matHeaderCellDef class="th-usr"></th>
            <td mat-cell *matCellDef="let element" class="td-usr"> {{element.ingeniero}} </td>
          </ng-container>
          <ng-container matColumnDef="Ponderado">
            <th class="th-ponderado" mat-header-cell *matHeaderCellDef> Ponderado </th>
            <td class="td-ponderado" mat-cell *matCellDef="let element">
              <p class="ponderado_text" *ngIf=element.ponderado>{{element.ponderado/100 | percent: '2.1-2'}}</p>
              <p class="ponderado_text" *ngIf=!element.ponderado>N/A</p>
            </td>
          </ng-container>
          <ng-container matColumnDef="Indicador Bug">
            <th mat-header-cell *matHeaderCellDef> Bug </th>
            <td mat-cell *matCellDef="let element">
              <p *ngIf=element.indicador_bugs>{{element.indicador_bugs/100 | percent: '2.1-2'}}</p>
              <p *ngIf=!element.indicador_bugs>N/A</p>
            </td>
          </ng-container>
          <ng-container matColumnDef="Indicador Velocidad">
            <th mat-header-cell *matHeaderCellDef> Velocidad </th>
            <td mat-cell *matCellDef="let element">
              <p *ngIf=element.ind_velocidad>{{element.ind_velocidad/100 | percent: '2.1-2'}}</p>
              <p *ngIf=!element.ind_velocidad>N/A</p>
            </td>
          </ng-container>
          <ng-container matColumnDef="Indicador EPS">
            <th mat-header-cell *matHeaderCellDef> EPS </th>
            <td mat-cell *matCellDef="let element">
              <p *ngIf=element.ind_errores_produccion>{{element.ind_errores_produccion/100 | percent: '2.1-2'}}</p>
              <p *ngIf=!element.ind_errores_produccion>N/A</p>
            </td>
          </ng-container>
          <ng-container matColumnDef="Indicador Adherencia">
            <th mat-header-cell *matHeaderCellDef>Adherencia</th>
            <td mat-cell *matCellDef="let element">
              <p *ngIf=element.indicador_adherencia>{{element.indicador_adherencia/100 | percent: '2.1-2'}}</p>
              <p *ngIf=!element.indicador_adherencia>N/A</p>
            </td>
          </ng-container>
          <ng-container matColumnDef="Indicador Estimación">
            <th mat-header-cell *matHeaderCellDef> Estimación </th>
            <td mat-cell *matCellDef="let element">
              <p *ngIf=element.indicador_estimacion>{{element.indicador_estimacion/100 | percent: '2.1-2'}}</p>
              <p *ngIf=!element.indicador_estimacion>N/A</p>
            </td>
          </ng-container>
          <ng-container matColumnDef="Indicador Ejecución">
            <th mat-header-cell *matHeaderCellDef> Ejecución </th>
            <td mat-cell *matCellDef="let element">
              <p *ngIf=element.indicador_ejecucion>{{element.indicador_ejecucion/100 | percent: '2.1-2'}}</p>
              <p *ngIf=!element.indicador_ejecucion>N/A</p>
            </td>
          </ng-container>
          <ng-container matColumnDef="Indicador ANS">
            <th mat-header-cell *matHeaderCellDef> ANS </th>
            <td mat-cell *matCellDef="let element">
              <p *ngIf=element.indicador_ans>{{element.indicador_ans/100 | percent: '2.1-2'}}</p>
              <p *ngIf=!element.indicador_ans>N/A</p>
            </td>
          </ng-container>
          <ng-container matColumnDef="Indicador Mejora">
            <th mat-header-cell *matHeaderCellDef> Mejora </th>
            <td mat-cell *matCellDef="let element">
              <p *ngIf=element.indicador_mejora>{{element.indicador_mejora/100 | percent: '2.1-2'}}</p>
              <p *ngIf=!element.indicador_mejora>0%</p>
            </td>
          </ng-container>
          <ng-container matColumnDef="Indicador Proyectos">
            <th mat-header-cell *matHeaderCellDef> Proyectos </th>
            <td mat-cell *matCellDef="let element">
              <p *ngIf=element.indicador_proyectos>{{element.indicador_proyectos/100 | percent: '2.1-2'}}</p>
              <p *ngIf=!element.indicador_proyectos>N/A</p>
            </td>
          </ng-container>
          <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
          <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        </table>
      </div>
      <div *ngIf="mostrarTabla" class="export-container">
        <button mat-raised-button color="primary" (click)="exportTable()">Exportar a Excel</button>
      </div>
    </div>
  </mat-card>
  <mat-card *ngIf="mostrar">
    <h3>No se encontraron resultados</h3>
  </mat-card>
</div>